import request from '/@/utils/request'

export function fetchList(query?: any) {
  return request({
    url: '/purchase/purchasingPurchaseManager/page',
    method: 'get',
    params: query
  })
}

export function getObj(id: any) {
  return request({
    url: '/purchase/purchasingPurchaseManager/details',
    method: 'get',
    params: { id }
  })
}

export function addObj(obj: any) {
  return request({
    url: '/purchase/purchasingPurchaseManager',
    method: 'post',
    data: obj
  })
}

export function delObjs(ids: any) {
  return request({
    url: '/purchase/purchasingPurchaseManager',
    method: 'delete',
    data: ids
  })
}

export function putObj(obj: any) {
  return request({
    url: '/purchase/purchasingPurchaseManager',
    method: 'put',
    data: obj
  })
}